WMF(Windows Management Framework) 5.1 릴리스 정보Windows Management Framework (WMF) 5.1 Release Notes

WMF 5.1에는 Windows Server 2016과 함께 릴리스된 PowerShell, WMI, WinRM 및 SIL(소프트웨어 인벤토리 로깅) 구성 요소가 포함됩니다.WMF 5.1 includes the PowerShell, WMI, WinRM, and Software Inventory Logging (SIL) components that were released with Windows Server 2016. WMF 5.1은 Windows 7, Windows 8.1, Windows Server 2008 R2, 2012 및 2012 R2에 설치할 수 있으며 WMF 5.0 RTM보다 개선된 많은 기능을 제공합니다.WMF 5.1 can be installed on Windows 7, Windows 8.1, Windows Server 2008 R2, 2012, and 2012 R2, and provides a number of improvements over WMF 5.0 RTM including:

  • 새 cmdlet: 로컬 사용자 및 그룹; Get-ComputerInfoNew cmdlets: local users and groups; Get-ComputerInfo
  • 서명된 모듈, JEA 모듈 설치 등의 PowerShellGet 개선 사항PowerShellGet improvements include enforcing signed modules, and installing JEA modules
  • PackageManagement에서 컨테이너, CBS 설치, EXE 기반 설치, CAB 패키지에 대한 지원 추가PackageManagement added support for Containers, CBS Setup, EXE-based setup, CAB packages
  • DSC 및 PowerShell 클래스에 대한 디버깅 개선 사항Debugging improvements for DSC and PowerShell classes
  • 끌어오기 서버에서 나오는 카탈로그 서명 모듈 적용 및 PowerShellGet cmdlet을 사용할 경우를 비롯한 보안 향상Security enhancements including enforcement of catalog-signed modules coming from the Pull Server and when using PowerShellGet cmdlets
  • 다양한 사용자 요청 및 문제에 대한 응답Responses to a number of user requests and issues

중요:Important notes:

  • WMF 5.1을 사용하려면 .NET Framework 4.5.2 이상이 필요합니다.WMF 5.1 requires the .NET Framework 4.5.2 (or above). .NET 4.5.2 이상이 설치되어 있지 않은 경우 설치는 되지만, 주요 기능이 작동하지 않습니다.Installation will succeed, but key features will fail if .NET 4.5.2 (or above) is not installed. 지침은 WMF 5.1 설치 및 구성 항목에서 확인할 수 있습니다.Instructions are available in the Install and Configure WMF 5.1 topic.
  • WMF 5.1 RTM을 설치하기 전에 먼저 WMF 5.1 Preview를 제거해야 합니다.WMF 5.1 Preview must be uninstalled before installing WMF 5.1 RTM.
  • WMF 5.1은 WMF 5.0 또는 WMF 4.0 위에 바로 설치할 수 있습니다.WMF 5.1 may be installed directly over WMF 5.0 or WMF 4.0.
  • Windows 7 및 Windows Server 2008 R2에서는 WMF 5.1을 설치하기 전에 먼저 WMF 4.0을 설치할 필요가 없습니다.It is not required to install WMF 4.0 prior to installing WMF 5.1 on Windows 7 and Windows Server 2008 R2. 이는 WMF 5.1 Preview 릴리스의 문제였으며 해결되었습니다.That was an issue for the WMF 5.1 Preview release, and has been resolved.